package intrinsic.mx.rpc.xml;

public class Schema extends Object {

	/** Accessors */
	public intrinsic.XML xml;
	public intrinsic.mx.rpc.xml.SchemaDatatypes schemaDatatypes;
	public Object namespaces;
	public intrinsic.Namespace targetNamespace;
	public intrinsic.mx.rpc.xml.SchemaConstants schemaConstants;

	/** Variables */
	public String attributeFormDefault;
	public String blockDefault;
	public String elementFormDefault;
	public String finalDefault;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Schema() {
}

public Schema(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void addInclude(intrinsic.XMLList arg0);
public native void addImport(intrinsic.Namespace arg0, intrinsic.mx.rpc.xml.Schema arg1);
public native Object getNamedDefinition(intrinsic.QName arg0);

}
